Favicon

You are here: Home > API Reference > AOSP > Android Non Gms Applications > Update non-GMS Android application mapping

PUT /organizations/:organizationId/mdm/aosp/enterprise/applications/:aosApplicationId

Required Permission: mdm.aosp.application.update

Update a non-GMS Android application mapping

PUT
/v1/organizations/:organizationId/mdm/aosp/enterprise/applications/:aosApplicationId
Copy to clipboard

Update non-GMS Android application mapping

Required Permission: mdm.aosp.application.update

Update a non-GMS Android application mapping

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
aosApplicationId string
required
Match pattern: ^[a-fA-F0-9]{24}$
Body Params application/json
type string optional
Optional new mapping type for the existing AOSP application mapping.
build lastBuild lastGitBranchBuild lastGitTagBuild lastTagBuild
config object required
Configuration used to resolve the mapped build or application.
buildId string optional
Referenced build identifier when the mapping points to a specific build.
Match pattern: ^[a-fA-F0-9]{24}$
applicationId string optional
Referenced application identifier when the mapping points to an Applivery application.
Match pattern: ^[a-fA-F0-9]{24}$
filter string optional
Optional filter used by the backend to choose a matching build dynamically.
≤ 256 characters
{
    "type": "build",
    "config": {
        "buildId": "string",
        "applicationId": "string",
        "filter": "string"
    }
}

Responses

200 Response application/json
status boolean required
data object required
id string required
Identifier of the AOSP application mapping resource.
Match pattern: ^[a-fA-F0-9]{24}$
organizationId string required
Identifier of the organization that owns the AOSP enterprise resource.
Match pattern: ^[a-fA-F0-9]{24}$
aosEnterpriseId string required
Identifier of the AOSP enterprise configuration associated with this resource.
Match pattern: ^[a-fA-F0-9]{24}$
type string required
Type of source used to resolve the application mapping for AOSP policy assignment.
build lastBuild lastGitBranchBuild lastGitTagBuild lastTagBuild
config object required
Configuration used to resolve the mapped build or application.
buildId string optional
Referenced build identifier when the mapping points to a specific build.
Match pattern: ^[a-fA-F0-9]{24}$
applicationId string optional
Referenced application identifier when the mapping points to an Applivery application.
Match pattern: ^[a-fA-F0-9]{24}$
filter string optional
Optional filter used by the backend to choose a matching build dynamically.
≤ 256 characters
info object optional
Resolved application package metadata used by policies and device diagnostics.
id string required
Match pattern: ^[a-fA-F0-9]{24}$
bundleId string required
≤ 256 characters
name string required
≤ 256 characters
icon string required
≤ 256 characters
processedVersionName string required
≤ 128 characters
versionCode string required
≤ 128 characters
size string optional
≤ 128 characters
originalExtension string optional
≤ 128 characters
applicationInfo object optional
disabled any optional
signatures object optional
version integer optional
Internal resource version used by the backend for tracking changes over time.
≥ 0 · ≤ 9007199254740991
updatedAt string required
Timestamp when the resource was last updated.
createdAt string required
Timestamp when the resource was created.
{
    "status": true,
    "data": {
        "id": "string",
        "organizationId": "string",
        "aosEnterpriseId": "string",
        "type": "build",
        "config": {
            "buildId": "string",
            "applicationId": "string",
            "filter": "string"
        },
        "info": {
            "id": "string",
            "bundleId": "string",
            "name": "string",
            "icon": "string",
            "processedVersionName": "string",
            "versionCode": "string",
            "size": "string",
            "originalExtension": "string",
            "applicationInfo": {
                "id": "string",
                "slug": "string",
                "name": "string",
                "picture": "string"
            },
            "disabled": true,
            "signatures": {
                "sha1": "string",
                "sha256": "string"
            }
        },
        "version": 0,
        "updatedAt": "string",
        "createdAt": "string"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}